Uygulamamızı yükleyin 🪄 adres çubuğunun sağ üst köşesindeki simgesine tıklayın.

Bildirim işleyicileri

GET https://pusher.cv/api/notification-handlers/
curl --request GET \
--url 'https://pusher.cv/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Parametreler Ayrıntılar Açıklama
page İsteğe bağlı Tamsayı Sonuçları istediğiniz sayfa numarası. Varsayılan olarak 1.
results_per_page İsteğe bağlı Tamsayı Her sayfa kaç sonuç istersiniz. İzin verilen değerler: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Varsayılan olarak 25.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "[email protected]"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-07-18 18:26:26",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pusher.cv/api/notification-handlers?page=1",
        "last": "https://pusher.cv/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://pusher.cv/api/notification-handlers?page=1"
    }
}
GET https://pusher.cv/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://pusher.cv/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "[email protected]"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-07-18 18:26:26",
    }
}
POST https://pusher.cv/api/notification-handlers
Parametreler Ayrıntılar Açıklama
name Gerekli Dize -
type Gerekli Dize Geçerli değerler: email , webhook , slack , discord , telegram , microsoft_teams , twilio , whatsapp , x , google_chat , internal_notification , push_subscriber_id
email İsteğe bağlı Dize Mevcut olduğunda: type = email E-posta
webhook İsteğe bağlı Dize Mevcut olduğunda: type = webhook Webhook URL
slack İsteğe bağlı Dize Mevcut olduğunda: type = slack Slack webhook URL
discord İsteğe bağlı Dize Mevcut olduğunda: type = discord Discord webhook URL
telegram İsteğe bağlı Dize Mevcut olduğunda: type = telegram Telegram API Anahtarı
telegram_chat_id İsteğe bağlı Dize Mevcut olduğunda: type = telegram Telegram Sohbet Kimliği
microsoft_teams İsteğe bağlı Dize Mevcut olduğunda: type = microsoft_teams Microsoft Teams webhook URL
google_chat İsteğe bağlı Dize Mevcut olduğunda: type = google_chat Google sohbet webhook URL'si
x_consumer_key İsteğe bağlı Dize Mevcut olduğunda: type = x Telegram API Anahtarı
x_consumer_secret İsteğe bağlı Dize Mevcut olduğunda: type = x Telegram API Anahtarı
x_access_token İsteğe bağlı Dize Mevcut olduğunda: type = x Telegram API Anahtarı
x_access_token_secret İsteğe bağlı Dize Mevcut olduğunda: type = x Telegram API Anahtarı
push_subscriber_id İsteğe bağlı Dize Mevcut olduğunda: type = push_subscriber_id Abone ekle
twilio İsteğe bağlı Dize Mevcut olduğunda: type = twilio Telefon numarası
whatsapp İsteğe bağlı Dize Mevcut olduğunda: type = whatsapp Telefon numarası
curl --request POST \
--url 'https://pusher.cv/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
    "data": {
        "id": 1
    }
}
POST https://pusher.cv/api/notification-handlers/{notification_handler_id}
Parametreler Ayrıntılar Açıklama
name İsteğe bağlı Dize -
type İsteğe bağlı Dize Geçerli değerler: email , webhook , slack , discord , telegram , microsoft_teams , twilio , whatsapp , x , google_chat , internal_notification , push_subscriber_id
email İsteğe bağlı Dize Mevcut olduğunda: type = email E-posta
webhook İsteğe bağlı Dize Mevcut olduğunda: type = webhook Webhook URL
slack İsteğe bağlı Dize Mevcut olduğunda: type = slack Slack webhook URL
discord İsteğe bağlı Dize Mevcut olduğunda: type = discord Discord webhook URL
telegram İsteğe bağlı Dize Mevcut olduğunda: type = telegram Telegram API Anahtarı
telegram_chat_id İsteğe bağlı Dize Mevcut olduğunda: type = telegram Telegram Sohbet Kimliği
microsoft_teams İsteğe bağlı Dize Mevcut olduğunda: type = microsoft_teams Microsoft Teams webhook URL
google_chat İsteğe bağlı Dize Mevcut olduğunda: type = google_chat Google sohbet webhook URL'si
x_consumer_key İsteğe bağlı Dize Mevcut olduğunda: type = x Telegram API Anahtarı
x_consumer_secret İsteğe bağlı Dize Mevcut olduğunda: type = x Telegram API Anahtarı
x_access_token İsteğe bağlı Dize Mevcut olduğunda: type = x Telegram API Anahtarı
x_access_token_secret İsteğe bağlı Dize Mevcut olduğunda: type = x Telegram API Anahtarı
push_subscriber_id İsteğe bağlı Dize Mevcut olduğunda: type = push_subscriber_id Abone ekle
twilio İsteğe bağlı Dize Mevcut olduğunda: type = twilio Telefon numarası
whatsapp İsteğe bağlı Dize Mevcut olduğunda: type = whatsapp Telefon numarası
is_enabled İsteğe bağlı Boolean -
curl --request POST \
--url 'https://pusher.cv/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://pusher.cv/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://pusher.cv/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \